{
  buildHomeAssistantComponent,
  fetchFromGitHub,
  python3Packages,
  namespace,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "simbaja";
  domain = "ge_home";
  version = "v2025.7.0";

  src = fetchFromGitHub {
    owner = owner;
    repo = "ha_gehome";
    rev = version;
    hash = "sha256-sCOXzrbUpbRb09QDpcm1Pbr2Xxsg0q3Ecc+tAQv2pXk=";
  };

  propagatedBuildInputs = with python3Packages; [
    gehomesdk
    slixmpp

    pkgs.${namespace}.magicattr
  ];

  postPatch = ''
    substituteInPlace custom_components/ge_home/manifest.json \
      --replace '"slixmpp==1.8.3"' '"slixmpp>=1.8.3"'
  '';

  meta = {
    changelog = "https://github.com/simbaja/ha_gehome/releases/tag/${version}";
    description = "Integration for GE WiFi-enabled appliances into Home Assistant.";
    homepage = "https://github.com/simbaja/ha_gehome";
    maintainers = [ ];
  };
}
